=== debian/changelog ===
acoustid-fingerprinter (0.1-1) unstable; urgency=low

  * Initial release based on upstream packaging.

 -- Clint Adams <clint@debian.org>  Thu, 12 May 2011 19:54:52 -0400
