=== debian/control ===
Source: acoustid-fingerprinter
Section: sound
Priority: optional
Maintainer: Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, libavformat-dev, libavcodec-dev, libchromaprint-dev, libqt4-dev, libtag1-dev
Standards-Version: 3.9.2
Homepage: http://wiki.acoustid.org/wiki/Fingerprinter

Package: acoustid-fingerprinter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Acoustid fingerprinter
 GUI application for submission Chromaprint-generated audio fingerprints to the
 Acoustid service.
