## acoustid-fingerprinter 0.3~20110715

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 project(fpsubmit)
-set(fpsubmit_VERSION 0.1)
+set(fpsubmit_VERSION 0.3)
 
 set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
 set(EXEC_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Installation prefix for executables and object code libraries" FORCE)
@@ -67,7 +67,15 @@
 	${CHROMAPRINT_INCLUDE_DIR}
 )
 
-add_executable(fpsubmit
+if(WIN32)
+set(GUI_TYPE WIN32)
+endif(WIN32)
+
+if(APPLE)
+set(GUI_TYPE MACOSX_BUNDLE)
+endif()
+
+add_executable(fpsubmit ${GUI_TYPE}
     ${fpsubmit_SOURCES}
     ${fpsubmit_MOC}
     ${fpsubmit_UIS_H}
@@ -86,4 +94,8 @@
 	${CHROMAPRINT_LIBRARIES}
 )
 
+if(APPLE)
+	target_link_libraries(fpsubmit "-framework Accelerate -lz")
+endif()
+
 install(TARGETS fpsubmit DESTINATION ${BIN_INSTALL_DIR})
