=== debian/changelog ===
acoustid-fingerprinter (0.3~20110715-0ubuntu1) oneiric; urgency=low

  * New upstream version. (LP: #811001)
    - Commit up to c53005affbd184f6b598

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Fri, 15 Jul 2011 15:02:59 +0200
