=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: acoustid-fingerprinter
 Section: sound
 Priority: optional
-Maintainer: Clint Adams <clint@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake, libavformat-dev, libavcodec-dev, libchromaprint-dev, libqt4-dev, libtag1-dev
 Standards-Version: 3.9.2
 Homepage: http://wiki.acoustid.org/wiki/Fingerprinter
