## acoustid-fingerprinter 0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 project(fpsubmit)
-set(fpsubmit_VERSION 0.3)
+set(fpsubmit_VERSION 0.4)
 
 set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
 set(EXEC_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Installation prefix for executables and object code libraries" FORCE)
@@ -11,7 +11,7 @@
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
-find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork QtConcurrent REQUIRED)
+find_package(Qt4 COMPONENTS QtCore QtGui QtNetwork REQUIRED)
 find_package(FFmpeg REQUIRED)
 find_package(Taglib REQUIRED)
 find_package(Chromaprint REQUIRED)
@@ -46,11 +46,15 @@
 	gzip.cpp
 )
 #set(fpsubmit_UIS fpsubmit.ui)
-#set(fpsubmit_RESOURCES fpsubmit.qrc)
+set(fpsubmit_RESOURCES fingerprinter.qrc)
 
 qt4_wrap_cpp(fpsubmit_MOC ${fpsubmit_HEADERS})
 qt4_wrap_ui(fpsubmit_UIS_H ${fpsubmit_UIS})
 qt4_add_resources(fpsubmit_RESOURCES_CPP ${fpsubmit_RESOURCES})
+
+if(WIN32)
+	set(fpsubmit_SOURCES ${fpsubmit_SOURCES} fingerprinter.rc)
+endif()
 
 add_definitions(
 	-D__STDC_LIMIT_MACROS
@@ -72,7 +76,12 @@
 endif(WIN32)
 
 if(APPLE)
-set(GUI_TYPE MACOSX_BUNDLE)
+    set(GUI_TYPE MACOSX_BUNDLE)
+    set(fpsubmit_ICON_FILE ${CMAKE_CURRENT_SOURCE_DIR}/images/acoustid-fp.icns)
+    set_source_files_properties(${fpsubmit_ICON_FILE}
+        PROPERTIES
+        MACOSX_PACKAGE_LOCATION Resources)
+	set(fpsubmit_SOURCES ${fpsubmit_SOURCES} ${fpsubmit_ICON_FILE})
 endif()
 
 add_executable(fpsubmit ${GUI_TYPE}
@@ -83,7 +92,11 @@
 )
 
 set_target_properties(fpsubmit PROPERTIES
-	OUTPUT_NAME acoustid-fingerprinter)
+	OUTPUT_NAME acoustid-fingerprinter
+    MACOSX_BUNDLE_ICON_FILE acoustid-fp.icns
+	MACOSX_BUNDLE_INFO_STRING "Acoustid Fingerprinter ${fpsubmit_VERSION}"
+	MACOSX_BUNDLE_BUNDLE_NAME "Acoustid Fingerprinter"
+)
 
 target_link_libraries(fpsubmit
 	${QT_LIBRARIES}
