=== debian/changelog ===
acoustid-fingerprinter (0.4-2) unstable; urgency=high

  * Explicitly set the content type, as Qt changed the default.
    closes: #685283.
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Sat, 25 Aug 2012 12:59:41 -0400

acoustid-fingerprinter (0.4-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@debian.org>  Thu, 25 Aug 2011 21:10:42 -0400
