=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: acoustid-fingerprinter
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
+Maintainer: Clint Adams <clint@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), cmake, libavformat-dev, libavcodec-dev, libchromaprint-dev, libqt4-dev, libtag1-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://wiki.acoustid.org/wiki/Fingerprinter
 
 Package: acoustid-fingerprinter
