## acoustid-fingerprinter 0.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.6)
 
 project(fpsubmit)
-set(fpsubmit_VERSION 0.4)
+set(fpsubmit_VERSION 0.6)
 
 set(LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)")
 set(EXEC_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Installation prefix for executables and object code libraries" FORCE)
@@ -71,6 +71,18 @@
 	${CHROMAPRINT_INCLUDE_DIR}
 )
 
+set(CMAKE_REQUIRED_LIBRARIES
+	${FFMPEG_LIBAVFORMAT_LIBRARIES}
+	${FFMPEG_LIBAVCODEC_LIBRARIES}
+	${FFMPEG_LIBAVUTIL_LIBRARIES}
+	${EXTRA_LIBS})
+include(CheckFunctionExists)
+check_function_exists(av_audio_convert HAVE_AV_AUDIO_CONVERT)
+
+if(HAVE_AV_AUDIO_CONVERT)
+	add_definitions(-DHAVE_AV_AUDIO_CONVERT)
+endif()
+
 if(WIN32)
 set(GUI_TYPE WIN32)
 endif(WIN32)
@@ -111,4 +123,8 @@
 	target_link_libraries(fpsubmit "-framework Accelerate -lz")
 endif()
 
+if(UNIX)
+	install(FILES acoustid-fingerprinter.desktop DESTINATION share/applications)
+endif()
+
 install(TARGETS fpsubmit DESTINATION ${BIN_INSTALL_DIR})
