=== debian/changelog ===
acoustid-fingerprinter (0.6-6) unstable; urgency=medium

  * Upload to zesty
  * QA upload.
  * d/p/06-taglib.patch
    - cherry-pick upstream FTBFSfix with new taglib (Closes: #841588)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 21 Nov 2016 17:05:08 +0100

acoustid-fingerprinter (0.6-5) unstable; urgency=medium

  * Changed maintainer to QA group, as the package was orphaned in bug
    #828784.
  * Corrected homepage URL.  Patch from Matt Kraai.
  * Created collab-maint git repo for package, and add d/gbp.conf to
    use pristine-tar.
  * Dropped Debian menu entry.
  * Moved upstream source change from 0.6-4 to new 04-typo-warning.patch.
  * Changed build rules from cdbs to dh and debhelper 9.
  * Changed Standards-Version from 3.9.5 to 3.9.8.
  * Added images/acoustid-fp.icns to debian/source/include-binaries to
    handle a file that showed up in the 0.6-4 orig.tar.xz file.
  * Added 05-g++-6-char-cast.patch to fix build problem with gcc 6.
    (Closes: #811732)

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 16 Jul 2016 23:12:42 +0200

acoustid-fingerprinter (0.6-4) unstable; urgency=low

  * Make package FFmpeg-friendly (Closes: #758323)
    Patch provided by Andreas Cadhalpun.

 -- Jerome Charaoui <jerome@riseup.net>  Tue, 26 Aug 2014 20:30:49 -0400

acoustid-fingerprinter (0.6-3) unstable; urgency=low

  * Fix build with upcoming Libav 10 release (Closes: #739208)
    Patch provided by Anton Khirnov.

 -- Jerome Charaoui <jerome@riseup.net>  Thu, 10 Apr 2014 23:31:01 -0400

acoustid-fingerprinter (0.6-2) unstable; urgency=low

  * New maintainer. (Closes: #737287)
  * Switch to CDBS.
  * Convert debian/copyright into standard machine-readable format.
  * Remove misleading "options" in man page. (Closes: #682139)
  * Bump to Standards-Version 3.9.5.

 -- Jerome Charaoui <jerome@riseup.net>  Sat, 08 Feb 2014 22:48:15 -0500

acoustid-fingerprinter (0.6-1) unstable; urgency=low

  * New upstream version.  closes: #682140.
  * Bump to Standards-Version 3.9.4.
  * Orphan package.

 -- Clint Adams <clint@debian.org>  Sun, 05 May 2013 08:45:16 -0400
