=== debian/control ===
Source: acoustid-fingerprinter
Section: sound
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), cmake, libavformat-dev, libavcodec-dev, libchromaprint-dev, libqt4-dev, libtag1-dev, pkg-config
Standards-Version: 3.9.8
Homepage: https://acoustid.org/fingerprinter
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/acoustid-fingerprinter.git/
Vcs-Git: git://anonscm.debian.org/collab-maint/acoustid-fingerprinter.git

Package: acoustid-fingerprinter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Acoustid fingerprinter
 GUI application for submission Chromaprint-generated audio fingerprints to the
 Acoustid service.
