=== debian/watch ===
version=3
https://bitbucket.org/acoustid/acoustid-fingerprinter/downloads .*\-(\d\S*)\.tar\.gz
